import { StreamParser } from '@codemirror/language';
interface Props {
    height: string;
    theme?: 'dark' | 'light' | undefined;
    fs: ASYNC_FS;
    langParserMap?: {
        [key: string]: StreamParser<any>;
    };
    extLangMap?: {
        [key: string]: string;
    };
    onCloseUnsaved: HandlerTwoActions;
    onErrorOpenFile?: HandlerZeroAction;
    onErrorNonText?: HandlerZeroAction;
    onErrorSaveFile?: HandlerZeroAction;
    onNewFile: HandlerOneAction;
    onNewFolder: HandlerOneAction;
    onErrorPaste?: HandlerZeroAction;
    onUpload: HandlerUpload;
    onRename: HandlerOneAction;
    onDeleteFile?: HandlerOneAction;
    onDeleteFolder?: HandlerOneAction;
    onErrorDownload?: HandlerZeroAction;
}
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    theme: undefined;
    langParserMap: () => {};
    extLangMap: () => {};
    onErrorOpenFile: undefined;
    onErrorNonText: undefined;
    onErrorSaveFile: undefined;
    onErrorPaste: undefined;
    onDeleteFile: (path: string, remove: (path: string) => Promise<void>) => Promise<void>;
    onDeleteFolder: (path: string, remove: (path: string) => Promise<void>) => Promise<void>;
    onErrorDownload: undefined;
}>, {
    expandFolder(path: string): void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    theme: undefined;
    langParserMap: () => {};
    extLangMap: () => {};
    onErrorOpenFile: undefined;
    onErrorNonText: undefined;
    onErrorSaveFile: undefined;
    onErrorPaste: undefined;
    onDeleteFile: (path: string, remove: (path: string) => Promise<void>) => Promise<void>;
    onDeleteFolder: (path: string, remove: (path: string) => Promise<void>) => Promise<void>;
    onErrorDownload: undefined;
}>>>, {
    theme: "light" | "dark";
    langParserMap: {
        [key: string]: StreamParser<any>;
    };
    extLangMap: {
        [key: string]: string;
    };
    onErrorSaveFile: HandlerZeroAction;
    onErrorPaste: HandlerZeroAction;
    onDeleteFile: HandlerOneAction;
    onDeleteFolder: HandlerOneAction;
    onErrorDownload: HandlerZeroAction;
    onErrorOpenFile: HandlerZeroAction;
    onErrorNonText: HandlerZeroAction;
}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
